libphp5-embed_5.6.33+dfsg-0+deb8u1_amd64.deb


Advertisement

Description

libphp5-embed - HTML-embedded scripting language (Embedded SAPI library)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libphp5-embed
Package version 5.6.33+dfsg
Package release 0+deb8u1
Package architecture amd64
Package type deb
Installed size 9.56 KB
Download size 2.12 MB
Official Mirror ftp.br.debian.org
This package provides the library /usr/lib/libphp5.so which can
be used by application developers to embed PHP scripting functionality.
The following extensions are built in: bcmath bz2 calendar Core ctype date
dba dom ereg exif fileinfo filter ftp gettext hash iconv libxml mbstring
mhash openssl pcntl pcre Phar posix Reflection session shmop SimpleXML soap
sockets SPL standard sysvmsg sysvsem sysvshm tokenizer wddx xml xmlreader
xmlwriter zip zlib.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.
WARNING: The embed SAPI is experimental and there's no guarantee that
the API/ABI will be kept compatible even between minor releases.  You
have been warned.

Alternatives

Package Version Architecture Repository
libphp5-embed_5.6.33+dfsg-0+deb8u1_i386.deb 5.6.33+dfsg i386 Debian Main
libphp5-embed - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.15
libcomerr2 >= 1.01
libdb5.3 -
libgssapi-krb5-2 >= 1.6.dfsg.2
libk5crypto3 >= 1.6.dfsg.2
libkrb5-3 >= 1.6.dfsg.2
libmagic1 -
libonig2 >= 5.9.5
libpcre3 >= 1:8.35
libqdbm14 >= 1.8.74
libssl1.0.0 >= 1.0.1
libxml2 >= 2.9.0
mime-support -
php5-common = 5.6.33+dfsg-0+deb8u1
tzdata -
ucf -
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libphp5-embed_5.6.33+dfsg-0+deb8u1_amd64.deb
Source Package php5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libphp5-embed deb package:
    # sudo apt-get install libphp5-embed

Files

Path
/usr/lib/libphp5.so
/usr/share/bug/libphp5-embed/control
/usr/share/bug/libphp5-embed/script
/usr/share/doc/libphp5-embed
/usr/share/lintian/overrides/libphp5-embed
/usr/share/php5/sapi/embed

Changelog

2018-01-05 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.33+dfsg-0+deb8u1) jessie-security; urgency=high
* Add support for signed upstream tarballs
* Make d/copyright machine readable
* Remove repack.sh script in favour of uscan repacking
* Update Vcs-* links to salsa.d.o
* New upstream version 5.6.33+dfsg
* Rebase patches on top of new upstream releases.
2017-08-25 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.31+dfsg-0+deb8u1) jessie-security; urgency=medium
* New upstream version 5.6.31+dfsg
* Refresh patches on top of PHP 5.6.31
* Pull upstream fix for PHP bug #64827: Segfault in zval_mark_grey (zend_gc.c)
2017-04-12 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.30+dfsg-0+deb8u2) jessie-security; urgency=medium
* [CVE-2017-7272]: Fix detect invalid port in xp_socket parse ip address
* Add debian/source/include-binaries to allow starting the build in
Debian stretch
2017-01-25 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.30+dfsg-0+deb8u1) jessie-security; urgency=medium
* Allow relaxed ; priority=<num> parsing (Closes: #783246)
* New upstream version 5.6.30+dfsg
- [CVE-2016-10158] FPE when parsing a tag format.
- [CVE-2016-10159] Crash while loading hostile phar archive
- [CVE-2016-10160] Memory corruption when loading hostile phar
- [CVE-2016-10161] Heap out of bounds read on unserialize in finish_nested_data()
* Rebase patches on top of PHP 5.6.30
2016-12-13 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.29+dfsg-0+deb8u1) jessie-security; urgency=high
* Imported Upstream version 5.6.29+dfsg
* Rebase patches on top of PHP 5.6.29 release
* Change Build-Depend from libsystemd-daemon-dev to libsystemd-dev
2016-11-15 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.28+dfsg-0+deb8u1) jessie-security; urgency=high
* Imported Upstream version 5.6.28+dfsg
* Rebase patches on top of 5.6.28+dfsg release
2016-10-15 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.27+dfsg-0+deb8u1) jessie-security; urgency=high
* Imported Upstream version 5.6.27+dfsg
* Rebase patches on to of 5.6.27+dfsg
2016-09-18 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.26+dfsg-0+deb8u1) jessie-security; urgency=high
* Imported Upstream version 5.6.26+dfsg
* Rebase patches on top of PHP 5.6.26+dfsg
2016-07-26 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.24+dfsg-0+deb8u1) jessie-security; urgency=high
* Imported Upstream version 5.6.24+dfsg
* Rebase patches on top of 5.6.24+dfsg release
2016-07-12 - Ondřej Surý <ondrej@debian.org>
php5 (5.6.23+dfsg-0+deb8u1) jessie-security; urgency=medium
* Silence errors from find caused by time race (Closes: #827370)
* Replace cut&paste error php@PHP_VERSION@ in libapache2-mod-php5
postinst just to php5 (Closes: #822855)
* Merge sessionclean script from master to fix reading conf.d
directories (Closes: #827548)
* Imported Upstream version 5.6.23+dfsg
* Rebase patches on top of 5.6.23
* Move -ignore_session_path to be the first argument (Closes: #830792)
* Update Vcs-* to point at pkg-php/php5.git

See Also

Package Description
libphtools2-dev_20061220+dfsg3-3_amd64.deb [Physics] General purpose Monte Carlo routines (development files)
libphtools2-gfortran_20061220+dfsg3-3_amd64.deb [Physics] General purpose Monte Carlo routines
libphysfs-dev_2.0.3-2_amd64.deb filesystem abstraction library for game programmers (development headers)
libphysfs1_2.0.3-2_amd64.deb filesystem abstraction library for game programmers
libpiano-dev_2014.06.08-1+b1_amd64.deb library to interface with Pandora radio -- development
libpiano0_2014.06.08-1+b1_amd64.deb library to interface with Pandora radio -- runtime files
libpiccolo-java_1.2-1_all.deb toolkit for development of 2D structured graphics
libpigment0.3-11_0.3.17-1_amd64.deb User interfaces with embedded multimedia - shared library
libpigment0.3-dev_0.3.17-1_amd64.deb User interfaces with embedded multimedia - development files
libpils2-dev_1.0.12~rc1+hg2777-1.2_amd64.deb Reusable cluster development files -- libpils2
libpils2_1.0.12~rc1+hg2777-1.2_amd64.deb Reusable cluster libraries -- libpils2
libpimcommon4_4.14.1-1+deb8u1_amd64.deb library for common bits of KDEPIM
libpinyin-utils_1.0.0+repack2-1_amd64.deb library to deal with PinYin - utilities
libpinyin4-dev_1.0.0+repack2-1_amd64.deb library to deal with PinYin - development files
libpinyin4_1.0.0+repack2-1_amd64.deb library to deal with PinYin
Advertisement
Advertisement